//
//  File.swift
//  Oritatami Builder
//
//  Created by Nikao on 03/07/2019.
//  Copyright © 2019 Nikao. All rights reserved.
//

import Foundation
import UIKit

class ANSITermCode {
    static let esc = "\u{1b}"
    static let escc = esc+"["
    
    static let resetTextAttributes = escc + "0m"
    static let bold = escc + "1m"
    static let faint = escc + "2m"
    static let italic = escc + "3m"

    static func colorCode216(r: Int, g: Int, b: Int) -> Int {
        return 16+36*r+6*g+b
    }
    static func backgroundColor216(r: Int, g: Int, b: Int) -> String {
        return escc + "48;5;\(colorCode216(r: r,g: g,b: b))"
    }
    static func backgroundColor216(_ color: __Color) -> String {
        var (r,g,b) : (CGFloat,CGFloat,CGFloat) = (0,0,0)
        color.getRed(&r, green: &g, blue: &b, alpha: nil)
        let ir = Int(r*6/255)
        let ig = Int(g*6/255)
        let ib = Int(b*6/255)
        return backgroundColor216(r: ir, g: ig, b: ib)
    }
}
