//
//  AppDelegate.swift
//  Oritatami Builder
//
//  Created by Nikao on 09/01/2019.
//  Copyright © 2019 Nikao. All rights reserved.
//

import UIKit

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?


    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?) -> Bool {
        // Override point for customization after application launch.
        return true
    }

    func applicationWillResignActive(_ application: UIApplication) {
        // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
        // Use this method to pause ongoing tasks, disable timers, and invalidate graphics rendering callbacks. Games should use this method to pause the game.
    }

    func applicationDidEnterBackground(_ application: UIApplication) {
        // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
        // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
    }

    func applicationWillEnterForeground(_ application: UIApplication) {
        // Called as part of the transition from the background to the active state; here you can undo many of the changes made on entering the background.
    }

    func applicationDidBecomeActive(_ application: UIApplication) {
        // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
    }

    func applicationWillTerminate(_ application: UIApplication) {
        // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
    }
    
    
    
    func application(_ app: UIApplication,
                     open url: URL,
                     options: [UIApplication.OpenURLOptionsKey: Any] = [:]
    ) -> Bool {
        // 1
        
        print("Received \(url)")

        guard os_file_extensions.contains(url.pathExtension) else { return false }

      // 2
        print("Open \(url)")

        // copy file
        let fileManager = FileManager.default
        
        // copy and delete the airdrop file
        let nvc = window?.rootViewController as! UINavigationController
        let tgvc = nvc.viewControllers[0] as! TriangularGridViewController
        var importedUrl : URL? = nil
        do {
            let documentDirectory = try fileManager.url(for: .documentDirectory, in: .userDomainMask, appropriateFor:nil, create:false)
            let filename = url.deletingPathExtension().lastPathComponent
            importedUrl = documentDirectory.appendingPathComponent(filename.appending("."+os_file_extension))
            guard let importedUrl = importedUrl else { return false }

            print("\(url.path) != \(importedUrl.path): \(url.path != importedUrl.path)")
            
            if !url.path.hasSuffix(importedUrl.path) {
                if fileManager.fileExists(atPath: importedUrl.path) {
                    try fileManager.removeItem(at: importedUrl)
                }
                try fileManager.copyItem(at: url, to: importedUrl)
                try fileManager.removeItem(at: url)
                print("file \(url) deleted and imported as \(importedUrl).")
            }

        } catch {
            print("Import failed of: \(url)")
        }
        
        if let importedUrl = importedUrl, fileManager.fileExists(atPath: importedUrl.path) {
            let _ = tgvc.load(importedUrl)
            return true
        }
        
        // 3
      return false
    }
}

