//
//  Material__Colors.swift
//  Scary Pacman
//
//  Created by Nicolas Schabanel on 3/6/18.
//  Copyright © 2018 Algoseum. All rights reserved.
//

import UIKit

extension __Color {
    
    @inline(__always) static func rgba(_ r : CGFloat,_ g : CGFloat,_ b : CGFloat,_ a : CGFloat) -> __Color {
        return __Color(red: r/255, green: g/255, blue: b/255, alpha: a)
    }
    
    // MARK: - red
    static let red50 = __Color.rgba(0xff, 0xeb, 0xee, 1)
    static let red100 = __Color.rgba(0xff, 0xcd, 0xd2, 1)
    static let red200 = __Color.rgba(0xef, 0x9a, 0x9a, 1)
    static let red300 = __Color.rgba(0xe5, 0x73, 0x73, 1)
    static let red400 = __Color.rgba(0xef, 0x53, 0x50, 1)
    static let red500 = __Color.rgba(0xf4, 0x43, 0x36, 1)
    static let red600 = __Color.rgba(0xe5, 0x39, 0x35, 1)
    static let red700 = __Color.rgba(0xd3, 0x2f, 0x2f, 1)
    static let red800 = __Color.rgba(0xc6, 0x28, 0x28, 1)
    static let red900 = __Color.rgba(0xb7, 0x1c, 0x1c, 1)
    static let redA100 = __Color.rgba(0xff, 0x8a, 0x80, 1)
    static let redA200 = __Color.rgba(0xff, 0x52, 0x52, 1)
    static let redA400 = __Color.rgba(0xff, 0x17, 0x44, 1)
    static let redA700 = __Color.rgba(0xd5, 0x00, 0x00, 1)
    // MARK: - pink
    static let pink50 = __Color.rgba(0xfc, 0xe4, 0xec, 1)
    static let pink100 = __Color.rgba(0xf8, 0xbb, 0xd0, 1)
    static let pink200 = __Color.rgba(0xf4, 0x8f, 0xb1, 1)
    static let pink300 = __Color.rgba(0xf0, 0x62, 0x92, 1)
    static let pink400 = __Color.rgba(0xec, 0x40, 0x7a, 1)
    static let pink500 = __Color.rgba(0xe9, 0x1e, 0x63, 1)
    static let pink600 = __Color.rgba(0xd8, 0x1b, 0x60, 1)
    static let pink700 = __Color.rgba(0xc2, 0x18, 0x5b, 1)
    static let pink800 = __Color.rgba(0xad, 0x14, 0x57, 1)
    static let pink900 = __Color.rgba(0x88, 0x0e, 0x4f, 1)
    static let pinkA100 = __Color.rgba(0xff, 0x80, 0xab, 1)
    static let pinkA200 = __Color.rgba(0xff, 0x40, 0x81, 1)
    static let pinkA400 = __Color.rgba(0xf5, 0x00, 0x57, 1)
    static let pinkA700 = __Color.rgba(0xc5, 0x11, 0x62, 1)
    // MARK: - purple
    static let purple50 = __Color.rgba(0xf3, 0xe5, 0xf5, 1)
    static let purple100 = __Color.rgba(0xe1, 0xbe, 0xe7, 1)
    static let purple200 = __Color.rgba(0xce, 0x93, 0xd8, 1)
    static let purple300 = __Color.rgba(0xba, 0x68, 0xc8, 1)
    static let purple400 = __Color.rgba(0xab, 0x47, 0xbc, 1)
    static let purple500 = __Color.rgba(0x9c, 0x27, 0xb0, 1)
    static let purple600 = __Color.rgba(0x8e, 0x24, 0xaa, 1)
    static let purple700 = __Color.rgba(0x7b, 0x1f, 0xa2, 1)
    static let purple800 = __Color.rgba(0x6a, 0x1b, 0x9a, 1)
    static let purple900 = __Color.rgba(0x4a, 0x14, 0x8c, 1)
    static let purpleA100 = __Color.rgba(0xea, 0x80, 0xfc, 1)
    static let purpleA200 = __Color.rgba(0xe0, 0x40, 0xfb, 1)
    static let purpleA400 = __Color.rgba(0xd5, 0x00, 0xf9, 1)
    static let purpleA700 = __Color.rgba(0xaa, 0x00, 0xff, 1)
    // MARK: - deep-purple
    static let deepPurple50 = __Color.rgba(0xed, 0xe7, 0xf6, 1)
    static let deepPurple100 = __Color.rgba(0xd1, 0xc4, 0xe9, 1)
    static let deepPurple200 = __Color.rgba(0xb3, 0x9d, 0xdb, 1)
    static let deepPurple300 = __Color.rgba(0x95, 0x75, 0xcd, 1)
    static let deepPurple400 = __Color.rgba(0x7e, 0x57, 0xc2, 1)
    static let deepPurple500 = __Color.rgba(0x67, 0x3a, 0xb7, 1)
    static let deepPurple600 = __Color.rgba(0x5e, 0x35, 0xb1, 1)
    static let deepPurple700 = __Color.rgba(0x51, 0x2d, 0xa8, 1)
    static let deepPurple800 = __Color.rgba(0x45, 0x27, 0xa0, 1)
    static let deepPurple900 = __Color.rgba(0x31, 0x1b, 0x92, 1)
    static let deepPurpleA100 = __Color.rgba(0xb3, 0x88, 0xff, 1)
    static let deepPurpleA200 = __Color.rgba(0x7c, 0x4d, 0xff, 1)
    static let deepPurpleA400 = __Color.rgba(0x65, 0x1f, 0xff, 1)
    static let deepPurpleA700 = __Color.rgba(0x62, 0x00, 0xea, 1)
    // MARK: - indigo
    static let indigo50 = __Color.rgba(0xe8, 0xea, 0xf6, 1)
    static let indigo100 = __Color.rgba(0xc5, 0xca, 0xe9, 1)
    static let indigo200 = __Color.rgba(0x9f, 0xa8, 0xda, 1)
    static let indigo300 = __Color.rgba(0x79, 0x86, 0xcb, 1)
    static let indigo400 = __Color.rgba(0x5c, 0x6b, 0xc0, 1)
    static let indigo500 = __Color.rgba(0x3f, 0x51, 0xb5, 1)
    static let indigo600 = __Color.rgba(0x39, 0x49, 0xab, 1)
    static let indigo700 = __Color.rgba(0x30, 0x3f, 0x9f, 1)
    static let indigo800 = __Color.rgba(0x28, 0x35, 0x93, 1)
    static let indigo900 = __Color.rgba(0x1a, 0x23, 0x7e, 1)
    static let indigoA100 = __Color.rgba(0x8c, 0x9e, 0xff, 1)
    static let indigoA200 = __Color.rgba(0x53, 0x6d, 0xfe, 1)
    static let indigoA400 = __Color.rgba(0x3d, 0x5a, 0xfe, 1)
    static let indigoA700 = __Color.rgba(0x30, 0x4f, 0xfe, 1)
    // MARK: - blue
    static let blue50 = __Color.rgba(0xe3, 0xf2, 0xfd, 1)
    static let blue100 = __Color.rgba(0xbb, 0xde, 0xfb, 1)
    static let blue200 = __Color.rgba(0x90, 0xca, 0xf9, 1)
    static let blue300 = __Color.rgba(0x64, 0xb5, 0xf6, 1)
    static let blue400 = __Color.rgba(0x42, 0xa5, 0xf5, 1)
    static let blue500 = __Color.rgba(0x21, 0x96, 0xf3, 1)
    static let blue600 = __Color.rgba(0x1e, 0x88, 0xe5, 1)
    static let blue700 = __Color.rgba(0x19, 0x76, 0xd2, 1)
    static let blue800 = __Color.rgba(0x15, 0x65, 0xc0, 1)
    static let blue900 = __Color.rgba(0x0d, 0x47, 0xa1, 1)
    static let blueA100 = __Color.rgba(0x82, 0xb1, 0xff, 1)
    static let blueA200 = __Color.rgba(0x44, 0x8a, 0xff, 1)
    static let blueA400 = __Color.rgba(0x29, 0x79, 0xff, 1)
    static let blueA700 = __Color.rgba(0x29, 0x62, 0xff, 1)
    // MARK: - light-blue
    static let lightBlue50 = __Color.rgba(0xe1, 0xf5, 0xfe, 1)
    static let lightBlue100 = __Color.rgba(0xb3, 0xe5, 0xfc, 1)
    static let lightBlue200 = __Color.rgba(0x81, 0xd4, 0xfa, 1)
    static let lightBlue300 = __Color.rgba(0x4f, 0xc3, 0xf7, 1)
    static let lightBlue400 = __Color.rgba(0x29, 0xb6, 0xf6, 1)
    static let lightBlue500 = __Color.rgba(0x03, 0xa9, 0xf4, 1)
    static let lightBlue600 = __Color.rgba(0x03, 0x9b, 0xe5, 1)
    static let lightBlue700 = __Color.rgba(0x02, 0x88, 0xd1, 1)
    static let lightBlue800 = __Color.rgba(0x02, 0x77, 0xbd, 1)
    static let lightBlue900 = __Color.rgba(0x01, 0x57, 0x9b, 1)
    static let lightBlueA100 = __Color.rgba(0x80, 0xd8, 0xff, 1)
    static let lightBlueA200 = __Color.rgba(0x40, 0xc4, 0xff, 1)
    static let lightBlueA400 = __Color.rgba(0x00, 0xb0, 0xff, 1)
    static let lightBlueA700 = __Color.rgba(0x00, 0x91, 0xea, 1)
    // MARK: - cyan
    static let cyan50 = __Color.rgba(0xe0, 0xf7, 0xfa, 1)
    static let cyan100 = __Color.rgba(0xb2, 0xeb, 0xf2, 1)
    static let cyan200 = __Color.rgba(0x80, 0xde, 0xea, 1)
    static let cyan300 = __Color.rgba(0x4d, 0xd0, 0xe1, 1)
    static let cyan400 = __Color.rgba(0x26, 0xc6, 0xda, 1)
    static let cyan500 = __Color.rgba(0x00, 0xbc, 0xd4, 1)
    static let cyan600 = __Color.rgba(0x00, 0xac, 0xc1, 1)
    static let cyan700 = __Color.rgba(0x00, 0x97, 0xa7, 1)
    static let cyan800 = __Color.rgba(0x00, 0x83, 0x8f, 1)
    static let cyan900 = __Color.rgba(0x00, 0x60, 0x64, 1)
    static let cyanA100 = __Color.rgba(0x84, 0xff, 0xff, 1)
    static let cyanA200 = __Color.rgba(0x18, 0xff, 0xff, 1)
    static let cyanA400 = __Color.rgba(0x00, 0xe5, 0xff, 1)
    static let cyanA700 = __Color.rgba(0x00, 0xb8, 0xd4, 1)
    // MARK: - teal
    static let teal50 = __Color.rgba(0xe0, 0xf2, 0xf1, 1)
    static let teal100 = __Color.rgba(0xb2, 0xdf, 0xdb, 1)
    static let teal200 = __Color.rgba(0x80, 0xcb, 0xc4, 1)
    static let teal300 = __Color.rgba(0x4d, 0xb6, 0xac, 1)
    static let teal400 = __Color.rgba(0x26, 0xa6, 0x9a, 1)
    static let teal500 = __Color.rgba(0x00, 0x96, 0x88, 1)
    static let teal600 = __Color.rgba(0x00, 0x89, 0x7b, 1)
    static let teal700 = __Color.rgba(0x00, 0x79, 0x6b, 1)
    static let teal800 = __Color.rgba(0x00, 0x69, 0x5c, 1)
    static let teal900 = __Color.rgba(0x00, 0x4d, 0x40, 1)
    static let tealA100 = __Color.rgba(0xa7, 0xff, 0xeb, 1)
    static let tealA200 = __Color.rgba(0x64, 0xff, 0xda, 1)
    static let tealA400 = __Color.rgba(0x1d, 0xe9, 0xb6, 1)
    static let tealA700 = __Color.rgba(0x00, 0xbf, 0xa5, 1)
    // MARK: - green
    static let green50 = __Color.rgba(0xe8, 0xf5, 0xe9, 1)
    static let green100 = __Color.rgba(0xc8, 0xe6, 0xc9, 1)
    static let green200 = __Color.rgba(0xa5, 0xd6, 0xa7, 1)
    static let green300 = __Color.rgba(0x81, 0xc7, 0x84, 1)
    static let green400 = __Color.rgba(0x66, 0xbb, 0x6a, 1)
    static let green500 = __Color.rgba(0x4c, 0xaf, 0x50, 1)
    static let green600 = __Color.rgba(0x43, 0xa0, 0x47, 1)
    static let green700 = __Color.rgba(0x38, 0x8e, 0x3c, 1)
    static let green800 = __Color.rgba(0x2e, 0x7d, 0x32, 1)
    static let green900 = __Color.rgba(0x1b, 0x5e, 0x20, 1)
    static let greenA100 = __Color.rgba(0xb9, 0xf6, 0xca, 1)
    static let greenA200 = __Color.rgba(0x69, 0xf0, 0xae, 1)
    static let greenA400 = __Color.rgba(0x00, 0xe6, 0x76, 1)
    static let greenA700 = __Color.rgba(0x00, 0xc8, 0x53, 1)
    // MARK: - light-green
    static let lightGreen50 = __Color.rgba(0xf1, 0xf8, 0xe9, 1)
    static let lightGreen100 = __Color.rgba(0xdc, 0xed, 0xc8, 1)
    static let lightGreen200 = __Color.rgba(0xc5, 0xe1, 0xa5, 1)
    static let lightGreen300 = __Color.rgba(0xae, 0xd5, 0x81, 1)
    static let lightGreen400 = __Color.rgba(0x9c, 0xcc, 0x65, 1)
    static let lightGreen500 = __Color.rgba(0x8b, 0xc3, 0x4a, 1)
    static let lightGreen600 = __Color.rgba(0x7c, 0xb3, 0x42, 1)
    static let lightGreen700 = __Color.rgba(0x68, 0x9f, 0x38, 1)
    static let lightGreen800 = __Color.rgba(0x55, 0x8b, 0x2f, 1)
    static let lightGreen900 = __Color.rgba(0x33, 0x69, 0x1e, 1)
    static let lightGreenA100 = __Color.rgba(0xcc, 0xff, 0x90, 1)
    static let lightGreenA200 = __Color.rgba(0xb2, 0xff, 0x59, 1)
    static let lightGreenA400 = __Color.rgba(0x76, 0xff, 0x03, 1)
    static let lightGreenA700 = __Color.rgba(0x64, 0xdd, 0x17, 1)
    // MARK: - lime
    static let lime50 = __Color.rgba(0xf9, 0xfb, 0xe7, 1)
    static let lime100 = __Color.rgba(0xf0, 0xf4, 0xc3, 1)
    static let lime200 = __Color.rgba(0xe6, 0xee, 0x9c, 1)
    static let lime300 = __Color.rgba(0xdc, 0xe7, 0x75, 1)
    static let lime400 = __Color.rgba(0xd4, 0xe1, 0x57, 1)
    static let lime500 = __Color.rgba(0xcd, 0xdc, 0x39, 1)
    static let lime600 = __Color.rgba(0xc0, 0xca, 0x33, 1)
    static let lime700 = __Color.rgba(0xaf, 0xb4, 0x2b, 1)
    static let lime800 = __Color.rgba(0x9e, 0x9d, 0x24, 1)
    static let lime900 = __Color.rgba(0x82, 0x77, 0x17, 1)
    static let limeA100 = __Color.rgba(0xf4, 0xff, 0x81, 1)
    static let limeA200 = __Color.rgba(0xee, 0xff, 0x41, 1)
    static let limeA400 = __Color.rgba(0xc6, 0xff, 0x00, 1)
    static let limeA700 = __Color.rgba(0xae, 0xea, 0x00, 1)
    // MARK: - yellow
    static let yellow50 = __Color.rgba(0xff, 0xfd, 0xe7, 1)
    static let yellow100 = __Color.rgba(0xff, 0xf9, 0xc4, 1)
    static let yellow200 = __Color.rgba(0xff, 0xf5, 0x9d, 1)
    static let yellow300 = __Color.rgba(0xff, 0xf1, 0x76, 1)
    static let yellow400 = __Color.rgba(0xff, 0xee, 0x58, 1)
    static let yellow500 = __Color.rgba(0xff, 0xeb, 0x3b, 1)
    static let yellow600 = __Color.rgba(0xfd, 0xd8, 0x35, 1)
    static let yellow700 = __Color.rgba(0xfb, 0xc0, 0x2d, 1)
    static let yellow800 = __Color.rgba(0xf9, 0xa8, 0x25, 1)
    static let yellow900 = __Color.rgba(0xf5, 0x7f, 0x17, 1)
    static let yellowA100 = __Color.rgba(0xff, 0xff, 0x8d, 1)
    static let yellowA200 = __Color.rgba(0xff, 0xff, 0x00, 1)
    static let yellowA400 = __Color.rgba(0xff, 0xea, 0x00, 1)
    static let yellowA700 = __Color.rgba(0xff, 0xd6, 0x00, 1)
    // MARK: - amber
    static let amber50 = __Color.rgba(0xff, 0xf8, 0xe1, 1)
    static let amber100 = __Color.rgba(0xff, 0xec, 0xb3, 1)
    static let amber200 = __Color.rgba(0xff, 0xe0, 0x82, 1)
    static let amber300 = __Color.rgba(0xff, 0xd5, 0x4f, 1)
    static let amber400 = __Color.rgba(0xff, 0xca, 0x28, 1)
    static let amber500 = __Color.rgba(0xff, 0xc1, 0x07, 1)
    static let amber600 = __Color.rgba(0xff, 0xb3, 0x00, 1)
    static let amber700 = __Color.rgba(0xff, 0xa0, 0x00, 1)
    static let amber800 = __Color.rgba(0xff, 0x8f, 0x00, 1)
    static let amber900 = __Color.rgba(0xff, 0x6f, 0x00, 1)
    static let amberA100 = __Color.rgba(0xff, 0xe5, 0x7f, 1)
    static let amberA200 = __Color.rgba(0xff, 0xd7, 0x40, 1)
    static let amberA400 = __Color.rgba(0xff, 0xc4, 0x00, 1)
    static let amberA700 = __Color.rgba(0xff, 0xab, 0x00, 1)
    // MARK: - orange
    static let orange50 = __Color.rgba(0xff, 0xf3, 0xe0, 1)
    static let orange100 = __Color.rgba(0xff, 0xe0, 0xb2, 1)
    static let orange200 = __Color.rgba(0xff, 0xcc, 0x80, 1)
    static let orange300 = __Color.rgba(0xff, 0xb7, 0x4d, 1)
    static let orange400 = __Color.rgba(0xff, 0xa7, 0x26, 1)
    static let orange500 = __Color.rgba(0xff, 0x98, 0x00, 1)
    static let orange600 = __Color.rgba(0xfb, 0x8c, 0x00, 1)
    static let orange700 = __Color.rgba(0xf5, 0x7c, 0x00, 1)
    static let orange800 = __Color.rgba(0xef, 0x6c, 0x00, 1)
    static let orange900 = __Color.rgba(0xe6, 0x51, 0x00, 1)
    static let orangeA100 = __Color.rgba(0xff, 0xd1, 0x80, 1)
    static let orangeA200 = __Color.rgba(0xff, 0xab, 0x40, 1)
    static let orangeA400 = __Color.rgba(0xff, 0x91, 0x00, 1)
    static let orangeA700 = __Color.rgba(0xff, 0x6d, 0x00, 1)
    // MARK: - deep-orange
    static let deepOrange50 = __Color.rgba(0xfb, 0xe9, 0xe7, 1)
    static let deepOrange100 = __Color.rgba(0xff, 0xcc, 0xbc, 1)
    static let deepOrange200 = __Color.rgba(0xff, 0xab, 0x91, 1)
    static let deepOrange300 = __Color.rgba(0xff, 0x8a, 0x65, 1)
    static let deepOrange400 = __Color.rgba(0xff, 0x70, 0x43, 1)
    static let deepOrange500 = __Color.rgba(0xff, 0x57, 0x22, 1)
    static let deepOrange600 = __Color.rgba(0xf4, 0x51, 0x1e, 1)
    static let deepOrange700 = __Color.rgba(0xe6, 0x4a, 0x19, 1)
    static let deepOrange800 = __Color.rgba(0xd8, 0x43, 0x15, 1)
    static let deepOrange900 = __Color.rgba(0xbf, 0x36, 0x0c, 1)
    static let deepOrangeA100 = __Color.rgba(0xff, 0x9e, 0x80, 1)
    static let deepOrangeA200 = __Color.rgba(0xff, 0x6e, 0x40, 1)
    static let deepOrangeA400 = __Color.rgba(0xff, 0x3d, 0x00, 1)
    static let deepOrangeA700 = __Color.rgba(0xdd, 0x2c, 0x00, 1)
    // MARK: - brown
    static let brown50 = __Color.rgba(0xef, 0xeb, 0xe9, 1)
    static let brown100 = __Color.rgba(0xd7, 0xcc, 0xc8, 1)
    static let brown200 = __Color.rgba(0xbc, 0xaa, 0xa4, 1)
    static let brown300 = __Color.rgba(0xa1, 0x88, 0x7f, 1)
    static let brown400 = __Color.rgba(0x8d, 0x6e, 0x63, 1)
    static let brown500 = __Color.rgba(0x79, 0x55, 0x48, 1)
    static let brown600 = __Color.rgba(0x6d, 0x4c, 0x41, 1)
    static let brown700 = __Color.rgba(0x5d, 0x40, 0x37, 1)
    static let brown800 = __Color.rgba(0x4e, 0x34, 0x2e, 1)
    static let brown900 = __Color.rgba(0x3e, 0x27, 0x23, 1)
    // MARK: - grey
    static let grey50 = __Color.rgba(0xfa, 0xfa, 0xfa, 1)
    static let grey100 = __Color.rgba(0xf5, 0xf5, 0xf5, 1)
    static let grey200 = __Color.rgba(0xee, 0xee, 0xee, 1)
    static let grey300 = __Color.rgba(0xe0, 0xe0, 0xe0, 1)
    static let grey400 = __Color.rgba(0xbd, 0xbd, 0xbd, 1)
    static let grey500 = __Color.rgba(0x9e, 0x9e, 0x9e, 1)
    static let grey600 = __Color.rgba(0x75, 0x75, 0x75, 1)
    static let grey700 = __Color.rgba(0x61, 0x61, 0x61, 1)
    static let grey800 = __Color.rgba(0x42, 0x42, 0x42, 1)
    static let grey900 = __Color.rgba(0x21, 0x21, 0x21, 1)
    // MARK: - blue-grey
    static let blueGrey50 = __Color.rgba(0xec, 0xef, 0xf1, 1)
    static let blueGrey100 = __Color.rgba(0xcf, 0xd8, 0xdc, 1)
    static let blueGrey200 = __Color.rgba(0xb0, 0xbe, 0xc5, 1)
    static let blueGrey300 = __Color.rgba(0x90, 0xa4, 0xae, 1)
    static let blueGrey400 = __Color.rgba(0x78, 0x90, 0x9c, 1)
    static let blueGrey500 = __Color.rgba(0x60, 0x7d, 0x8b, 1)
    static let blueGrey600 = __Color.rgba(0x54, 0x6e, 0x7a, 1)
    static let blueGrey700 = __Color.rgba(0x45, 0x5a, 0x64, 1)
    static let blueGrey800 = __Color.rgba(0x37, 0x47, 0x4f, 1)
    static let blueGrey900 = __Color.rgba(0x26, 0x32, 0x38, 1)
    
    static let materialColorByName : [String:__Color] = [
        // MARK: - red
        "red50" : .red50,
        "red100" : .red100,
        "red200" : .red200,
        "red300" : .red300,
        "red400" : .red400,
        "red500" : .red500,
        "red600" : .red600,
        "red700" : .red700,
        "red800" : .red800,
        "red900" : .red900,
        "redA100" : .redA100,
        "redA200" : .redA200,
        "redA400" : .redA400,
        "redA700" : .redA700,
        // MARK: - pink
        "pink50" : .pink50,
        "pink100" : .pink100,
        "pink200" : .pink200,
        "pink300" : .pink300,
        "pink400" : .pink400,
        "pink500" : .pink500,
        "pink600" : .pink600,
        "pink700" : .pink700,
        "pink800" : .pink800,
        "pink900" : .pink900,
        "pinkA100" : .pinkA100,
        "pinkA200" : .pinkA200,
        "pinkA400" : .pinkA400,
        "pinkA700" : .pinkA700,
        // MARK: - purple
        "purple50" : .purple50,
        "purple100" : .purple100,
        "purple200" : .purple200,
        "purple300" : .purple300,
        "purple400" : .purple400,
        "purple500" : .purple500,
        "purple600" : .purple600,
        "purple700" : .purple700,
        "purple800" : .purple800,
        "purple900" : .purple900,
        "purpleA100" : .purpleA100,
        "purpleA200" : .purpleA200,
        "purpleA400" : .purpleA400,
        "purpleA700" : .purpleA700,
        // MARK: - deep-purple
        "deepPurple50" : .deepPurple50,
        "deepPurple100" : .deepPurple100,
        "deepPurple200" : .deepPurple200,
        "deepPurple300" : .deepPurple300,
        "deepPurple400" : .deepPurple400,
        "deepPurple500" : .deepPurple500,
        "deepPurple600" : .deepPurple600,
        "deepPurple700" : .deepPurple700,
        "deepPurple800" : .deepPurple800,
        "deepPurple900" : .deepPurple900,
        "deepPurpleA100" : .deepPurpleA100,
        "deepPurpleA200" : .deepPurpleA200,
        "deepPurpleA400" : .deepPurpleA400,
        "deepPurpleA700" : .deepPurpleA700,
        // MARK: - indigo
        "indigo50" : .indigo50,
        "indigo100" : .indigo100,
        "indigo200" : .indigo200,
        "indigo300" : .indigo300,
        "indigo400" : .indigo400,
        "indigo500" : .indigo500,
        "indigo600" : .indigo600,
        "indigo700" : .indigo700,
        "indigo800" : .indigo800,
        "indigo900" : .indigo900,
        "indigoA100" : .indigoA100,
        "indigoA200" : .indigoA200,
        "indigoA400" : .indigoA400,
        "indigoA700" : .indigoA700,
        // MARK: - blue
        "blue50" : .blue50,
        "blue100" : .blue100,
        "blue200" : .blue200,
        "blue300" : .blue300,
        "blue400" : .blue400,
        "blue500" : .blue500,
        "blue600" : .blue600,
        "blue700" : .blue700,
        "blue800" : .blue800,
        "blue900" : .blue900,
        "blueA100" : .blueA100,
        "blueA200" : .blueA200,
        "blueA400" : .blueA400,
        "blueA700" : .blueA700,
        // MARK: - light-blue
        "lightBlue50" : .lightBlue50,
        "lightBlue100" : .lightBlue100,
        "lightBlue200" : .lightBlue200,
        "lightBlue300" : .lightBlue300,
        "lightBlue400" : .lightBlue400,
        "lightBlue500" : .lightBlue500,
        "lightBlue600" : .lightBlue600,
        "lightBlue700" : .lightBlue700,
        "lightBlue800" : .lightBlue800,
        "lightBlue900" : .lightBlue900,
        "lightBlueA100" : .lightBlueA100,
        "lightBlueA200" : .lightBlueA200,
        "lightBlueA400" : .lightBlueA400,
        "lightBlueA700" : .lightBlueA700,
        // MARK: - cyan
        "cyan50" : .cyan50,
        "cyan100" : .cyan100,
        "cyan200" : .cyan200,
        "cyan300" : .cyan300,
        "cyan400" : .cyan400,
        "cyan500" : .cyan500,
        "cyan600" : .cyan600,
        "cyan700" : .cyan700,
        "cyan800" : .cyan800,
        "cyan900" : .cyan900,
        "cyanA100" : .cyanA100,
        "cyanA200" : .cyanA200,
        "cyanA400" : .cyanA400,
        "cyanA700" : .cyanA700,
        // MARK: - teal
        "teal50" : .teal50,
        "teal100" : .teal100,
        "teal200" : .teal200,
        "teal300" : .teal300,
        "teal400" : .teal400,
        "teal500" : .teal500,
        "teal600" : .teal600,
        "teal700" : .teal700,
        "teal800" : .teal800,
        "teal900" : .teal900,
        "tealA100" : .tealA100,
        "tealA200" : .tealA200,
        "tealA400" : .tealA400,
        "tealA700" : .tealA700,
        // MARK: - green
        "green50" : .green50,
        "green100" : .green100,
        "green200" : .green200,
        "green300" : .green300,
        "green400" : .green400,
        "green500" : .green500,
        "green600" : .green600,
        "green700" : .green700,
        "green800" : .green800,
        "green900" : .green900,
        "greenA100" : .greenA100,
        "greenA200" : .greenA200,
        "greenA400" : .greenA400,
        "greenA700" : .greenA700,
        // MARK: - light-green
        "lightGreen50" : .lightGreen50,
        "lightGreen100" : .lightGreen100,
        "lightGreen200" : .lightGreen200,
        "lightGreen300" : .lightGreen300,
        "lightGreen400" : .lightGreen400,
        "lightGreen500" : .lightGreen500,
        "lightGreen600" : .lightGreen600,
        "lightGreen700" : .lightGreen700,
        "lightGreen800" : .lightGreen800,
        "lightGreen900" : .lightGreen900,
        "lightGreenA100" : .lightGreenA100,
        "lightGreenA200" : .lightGreenA200,
        "lightGreenA400" : .lightGreenA400,
        "lightGreenA700" : .lightGreenA700,
        // MARK: - lime
        "lime50" : .lime50,
        "lime100" : .lime100,
        "lime200" : .lime200,
        "lime300" : .lime300,
        "lime400" : .lime400,
        "lime500" : .lime500,
        "lime600" : .lime600,
        "lime700" : .lime700,
        "lime800" : .lime800,
        "lime900" : .lime900,
        "limeA100" : .limeA100,
        "limeA200" : .limeA200,
        "limeA400" : .limeA400,
        "limeA700" : .limeA700,
        // MARK: - yellow
        "yellow50" : .yellow50,
        "yellow100" : .yellow100,
        "yellow200" : .yellow200,
        "yellow300" : .yellow300,
        "yellow400" : .yellow400,
        "yellow500" : .yellow500,
        "yellow600" : .yellow600,
        "yellow700" : .yellow700,
        "yellow800" : .yellow800,
        "yellow900" : .yellow900,
        "yellowA100" : .yellowA100,
        "yellowA200" : .yellowA200,
        "yellowA400" : .yellowA400,
        "yellowA700" : .yellowA700,
        // MARK: - amber
        "amber50" : .amber50,
        "amber100" : .amber100,
        "amber200" : .amber200,
        "amber300" : .amber300,
        "amber400" : .amber400,
        "amber500" : .amber500,
        "amber600" : .amber600,
        "amber700" : .amber700,
        "amber800" : .amber800,
        "amber900" : .amber900,
        "amberA100" : .amberA100,
        "amberA200" : .amberA200,
        "amberA400" : .amberA400,
        "amberA700" : .amberA700,
        // MARK: - orange
        "orange50" : .orange50,
        "orange100" : .orange100,
        "orange200" : .orange200,
        "orange300" : .orange300,
        "orange400" : .orange400,
        "orange500" : .orange500,
        "orange600" : .orange600,
        "orange700" : .orange700,
        "orange800" : .orange800,
        "orange900" : .orange900,
        "orangeA100" : .orangeA100,
        "orangeA200" : .orangeA200,
        "orangeA400" : .orangeA400,
        "orangeA700" : .orangeA700,
        // MARK: - deep-orange
        "deepOrange50" : .deepOrange50,
        "deepOrange100" : .deepOrange100,
        "deepOrange200" : .deepOrange200,
        "deepOrange300" : .deepOrange300,
        "deepOrange400" : .deepOrange400,
        "deepOrange500" : .deepOrange500,
        "deepOrange600" : .deepOrange600,
        "deepOrange700" : .deepOrange700,
        "deepOrange800" : .deepOrange800,
        "deepOrange900" : .deepOrange900,
        "deepOrangeA100" : .deepOrangeA100,
        "deepOrangeA200" : .deepOrangeA200,
        "deepOrangeA400" : .deepOrangeA400,
        "deepOrangeA700" : .deepOrangeA700,
        // MARK: - brown
        "brown50" : .brown50,
        "brown100" : .brown100,
        "brown200" : .brown200,
        "brown300" : .brown300,
        "brown400" : .brown400,
        "brown500" : .brown500,
        "brown600" : .brown600,
        "brown700" : .brown700,
        "brown800" : .brown800,
        "brown900" : .brown900,
        // MARK: - grey
        "grey50" : .grey50,
        "grey100" : .grey100,
        "grey200" : .grey200,
        "grey300" : .grey300,
        "grey400" : .grey400,
        "grey500" : .grey500,
        "grey600" : .grey600,
        "grey700" : .grey700,
        "grey800" : .grey800,
        "grey900" : .grey900,
        // MARK: - blue-grey
        "blueGrey50" : .blueGrey50,
        "blueGrey100" : .blueGrey100,
        "blueGrey200" : .blueGrey200,
        "blueGrey300" : .blueGrey300,
        "blueGrey400" : .blueGrey400,
        "blueGrey500" : .blueGrey500,
        "blueGrey600" : .blueGrey600,
        "blueGrey700" : .blueGrey700,
        "blueGrey800" : .blueGrey800,
        "blueGrey900" : .blueGrey900,
    ]
    
}
