//
//  OritatamiSimulator.swift
//  Scary Pacman
//
//  Created by Nikao on 2/10/17.
//  Copyright © 2017 Algoseum. All rights reserved.
//

import UIKit

protocol OritatamiSimulator {
    var grid: TriangularGridDictionary { get set } // TriangularGridProtocol { get set }
    var oritatamiSystem: OritatamiSystem { get set }
    
    var beadTypeSet: BeadTypeSet  { get }
//    var beadTypeIdStream: [BeadTypeId] { get }
    var seedPath: [Direction]  { get  }
    
    var view: TriangularGridView?  { get set }
    var frameRate: Double  { get set }
    var animated: Bool  { get set }
    var follow: Bool { get set }
    
    var currentPosition : IntPoint { get set }
    var currentIndex : Int { get set }
    
    init(width w: Int, height h: Int, oritatamiSystem: OritatamiSystem)
    func drawSeed(from p: IntPoint)
    func nextStep() -> Bool
    var mustStop : Bool { get set }

    var saveAsGif: Bool { get set }
    var shuffleGif: Bool { get set }
    var noLoopOnBest: Bool { get set }
    var gifFoldingStepRootFilename: String { get set }
    var gifRunRootFilename: String { get set }
    func saveGif(_ sequence: inout TimedImageSequence, to url: URL) -> Bool
    func flushPendingGif()
}




